Index: branches/2.2/expressoAdmin1_2/inc/class.manager.inc.php
===================================================================
--- branches/2.2/expressoAdmin1_2/inc/class.manager.inc.php	(revision 1913)
+++ branches/2.2/expressoAdmin1_2/inc/class.manager.inc.php	(revision 3018)
@@ -1,3 +1,3 @@
-<?
+<?php
 	/***********************************************************************************\
 	* Expresso Administração                 										   *
Index: branches/2.2/expressoAdmin1_2/js/jscode/connector.js
===================================================================
--- branches/2.2/expressoAdmin1_2/js/jscode/connector.js	(revision 317)
+++ branches/2.2/expressoAdmin1_2/js/jscode/connector.js	(revision 3018)
@@ -499,5 +499,5 @@
 			 
 		id = url;
-		connector.newRequest(id, url, method, handler, params);
+		admin_connector.newRequest(id, url, method, handler, params);
 	}
 	
@@ -508,9 +508,9 @@
 	//	form: form element (for upload files)	
 	function cExecuteForm(url, form, handler){
-		connector.buildBar();
+		admin_connector.buildBar();
 		isExecuteForm = true;		
 		document.onmouseup = alertBut;
 		
-		connector.showProgressBar();
+		admin_connector.showProgressBar();
 		if(! (divUpload = document.getElementById('divUpload'))) {
 			divUpload		= document.createElement('DIV');		
@@ -554,8 +554,8 @@
 		if(isExecuteForm) {
 	    	if(confirm("There's an action processing. Do you want abort it?")) {
-		    	connector.hideProgressBar();
+		    	admin_connector.hideProgressBar();
 		    	isExecuteForm = false;
-		    	delete connector.requests[id];								
-				connector.requests[id] = null;
+		    	delete admin_connector.requests[id];								
+				admin_connector.requests[id] = null;
 	    		stop();		    		    		
 	    		return;
Index: branches/2.2/expressoAdmin1_2/js/jscode/users.js
===================================================================
--- branches/2.2/expressoAdmin1_2/js/jscode/users.js	(revision 1913)
+++ branches/2.2/expressoAdmin1_2/js/jscode/users.js	(revision 3018)
@@ -139,5 +139,5 @@
 	if (document.forms[0].mailalternateaddress.value != '')
 		attrs_array['mailalternateaddress'] = document.forms[0].mailalternateaddress.value;
-	var attributes = connector.serialize(attrs_array);
+	var attributes = admin_connector.serialize(attrs_array);
 
 	var handler_validate_fields = function(data)
@@ -156,4 +156,6 @@
 			if (type == 'create_user')
 			{
+				// Turn enabled checkbox on create user. 
+                                document.getElementById('changepassword').disabled = false; 
 				cExecuteForm ("$this.user.create", document.forms[0], handler_create);
 			}
@@ -203,5 +205,5 @@
 	attrs_array['first_name'] = first_name;
 	attrs_array['second_name'] = second_name;
-	var attributes = connector.serialize(attrs_array);
+	var attributes = admin_connector.serialize(attrs_array);
 	
 	var handler_generate_login = function(data) {
@@ -539,5 +541,5 @@
 		attrs_array['type'] = 'rename_user';
 		attrs_array['uid'] = new_uid;
-		attributes = connector.serialize(attrs_array);
+		attributes = admin_connector.serialize(attrs_array);
 	
 		cExecute ('$this.ldap_functions.validate_fields&attributes='+attributes, handler_validate_fields);
Index: branches/2.2/expressoAdmin1_2/templates/default/accounts_form.tpl
===================================================================
--- branches/2.2/expressoAdmin1_2/templates/default/accounts_form.tpl	(revision 1991)
+++ branches/2.2/expressoAdmin1_2/templates/default/accounts_form.tpl	(revision 3018)
@@ -98,20 +98,20 @@
 		<tr bgcolor={row_on}>
 			<td colspan="2">{lang_password_expired}:</td>
-			<td><input onchange="javascript:set_changepassword();" type="checkbox" {passwd_expired_checked} {disabled} name="passwd_expired" id="passwd_expired" value="1"</td>
+			<td><input onclick="javascript:set_changepassword();" type="checkbox" {passwd_expired_checked} {disabled} name="passwd_expired" id="passwd_expired" value="1"></td>
 		</tr>
 
 		<tr bgcolor={row_off}>
 			<td colspan="2">{lang_change_password}:</td>
-			<td><input type="checkbox" {changepassword_checked} {disabled} name="changepassword" id="changepassword" value="1"</td>
+			<td><input type="checkbox" {changepassword_checked} {disabled} name="changepassword" id="changepassword" value="1"></td>
 		</tr>
 
 		<tr bgcolor={row_on}>
 			<td colspan="2">{lang_account_active}:</td>
-			<td><input type="checkbox" {phpgwaccountstatus_checked} {disabled} name="phpgwaccountstatus" id="phpgwaccountstatus" value="1"</td>
+			<td><input type="checkbox" {phpgwaccountstatus_checked} {disabled} name="phpgwaccountstatus" id="phpgwaccountstatus" value="1"></td>
 		</tr>
 
 		<tr bgcolor={row_off}>
 			<td colspan="2">{lang_do_not_show_this_account_in_the_contact_center}:</td>
-			<td><input type="checkbox" {phpgwaccountvisible_checked} {disabled} name="phpgwaccountvisible" id="phpgwaccountvisible" value="1"</td>
+			<td><input type="checkbox" {phpgwaccountvisible_checked} {disabled} name="phpgwaccountvisible" id="phpgwaccountvisible" value="1"></td>
 		</tr>		
 		{start_coment_expired}
@@ -158,5 +158,5 @@
 		<tr bgcolor={row_off}>
 			<td>{lang_active_email_account}:</td>
-			<td><input type="checkbox" {accountstatus_checked} {disabled} name="accountstatus" id="accountstatus" value="1"</td>
+			<td><input type="checkbox" {accountstatus_checked} {disabled} name="accountstatus" id="accountstatus" value="1"></td>
 		</tr>
 	
@@ -186,5 +186,5 @@
 		<tr bgcolor={row_off}>
 			<td>{lang_only_forwarding}:</td>
-			<td><input type="checkbox" {deliverymode_checked} {disabled} name="deliverymode" id="deliverymode" value="1"</td>
+			<td><input type="checkbox" {deliverymode_checked} {disabled} name="deliverymode" id="deliverymode" value="1"></td>
 		</tr>
 
@@ -386,4 +386,6 @@
 <script type="text/javascript">
 tab.display(1);
+// Note: The "change_password" field must be disabled and checked when the "passwd_expired" field will be enabled.  
+set_changepassword(); 
 </script>
 
